<?php
/**
 * @file
 * search_api_fusion Views hooks
 */

/**
 * Implements hook_views_data_alter().
 *
 * Define area field for landing pages.
 */
function search_api_fusion_views_data_alter(&$data) {
  foreach (search_api_index_load_multiple(FALSE) as $index) {
    // construct the same key search_api_views used
    $key = 'search_api_index_' . $index->machine_name;

    // Not every $index returned is complete and may not have a server.
    // TODO If maintainers of other service classes are interested in implementing a similar
    // functionality it might be more elegant to define a new feature (e.g. search_api_landing_pages)
    // in a separate module instead of checking the name of the service class.
    // https://www.drupal.org/docs/7/modules/search-api/getting-started/service-classes-and-features
    if ($index->server() && $index->server()->class == 'sarnia_fusion_service'){
      $data[$key]['search_api_fusion_landing_pages'] = array(
        'title' => t('Fusion landing pages'),
        'group' => t('Search'),
        'help' => t('Landing pages from Fusion.'),
        'area' => array(
          'handler' => 'views_handler_area_fusion_landing_pages',
        ),
      );
    }
  }
}

