<?php
/**
 * @file
 * Views Search API area handler
 */

/**
 * Area handlers are available to be placed in a views header and footer.
 * Landing pages will only display if some are returned with the results.
 */
class views_handler_area_fusion_landing_pages extends views_handler_area {

  /**
   * Render landing pages.
   */
  function render($empty = FALSE) {
    $results = $this->query->getSearchApiResults();

    // if no landing pages are returned then return.
    if (!isset($results['fusion_landing_pages'])) {
      return '';
    }

    $variables = array(
      'landing_pages' => $results['fusion_landing_pages'],
    );
    return theme('search_api_fusion_landing_pages', $variables);
  }
}

